import { computed, onBeforeUnmount, ref } from 'vue';
import { useStore } from './useStore';
export const useSelector = (select) => {
    const { subscribe, getState } = useStore();
    const selector = ref(select(getState()));
    const unsubscribe = subscribe(() => {
        const nextState = select(getState());
        selector.value = nextState;
    });
    onBeforeUnmount(unsubscribe);
    return computed(() => selector.value);
};
