import { ReduxStore } from '../key';
import { inject } from 'vue';
export const useStore = () => {
    const store = inject(ReduxStore);
    assert(store, 'Warning: no redux store was provided.\n\nPlease provide store preferably with vue install\n\napp.provide(ReduxStore, store)\n\nLearn more about vue-redux-hooks: https://github.com/PatrykWalach/vue-redux-hooks');
    return store;
};
function assert(condition, message) {
    if (!condition) {
        console.error(message);
    }
}
